## org.gnu.gdk
Class Gdk

    java.lang.Object
      org.gnu.gdk.Gdk

public class Gdk
extends java.lang.Object

Constructor Summary
`Gdk()`

Method Summary
`static void` `beep()` Emits a short beep.
`protected static void` `gdk_beep()`
`protected static void` `gdk_flush()`
`protected static boolean` `gdk_get_show_events()`
`protected static void` `gdk_input_set_extension_events(int window, int mask, int mode)`
`protected static int` `gdk_keyval_from_name(java.lang.String keyvalName)`
`protected static boolean` `gdk_keyval_is_lower(int keyval)`
`protected static boolean` `gdk_keyval_is_upper(int keyval)`
`protected static java.lang.String` `gdk_keyval_name(int keyval)`
`protected static int` `gdk_keyval_to_lower(int keyval)`
`protected static int` `gdk_keyval_to_upper(int keyval)`
`protected static int` `gdk_screen_height_mm()`
`protected static int` `gdk_screen_height()`
`protected static int` `gdk_screen_width_mm()`
`protected static int` `gdk_screen_width()`
`protected static java.lang.String` `gdk_set_locale()`
`protected static void` `gdk_set_show_events(boolean showEvents)`
`static Dimension` `getScreenDimension()` Get the default dimensions of the screen.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Gdk

    public Gdk()

Method Detail

### getScreenDimension

    public static Dimension getScreenDimension()

  Get the default dimensions of the screen.

### beep

    public static void beep()

  Emits a short beep.

### gdk_input_set_extension_events

    protected static final void gdk_input_set_extension_events(int window,
                                                               int mask,
                                                               int mode)

### gdk_flush

    protected static final void gdk_flush()

### gdk_set_locale

    protected static final java.lang.String gdk_set_locale()

### gdk_screen_width

    protected static final int gdk_screen_width()

### gdk_screen_height

    protected static final int gdk_screen_height()

### gdk_screen_width_mm

    protected static final int gdk_screen_width_mm()

### gdk_screen_height_mm

    protected static final int gdk_screen_height_mm()

### gdk_beep

    protected static final void gdk_beep()

### gdk_set_show_events

    protected static final void gdk_set_show_events(boolean showEvents)

### gdk_get_show_events

    protected static final boolean gdk_get_show_events()

### gdk_keyval_name

    protected static final java.lang.String gdk_keyval_name(int keyval)

### gdk_keyval_from_name

    protected static final int gdk_keyval_from_name(java.lang.String keyvalName)

### gdk_keyval_to_upper

    protected static final int gdk_keyval_to_upper(int keyval)

### gdk_keyval_to_lower

    protected static final int gdk_keyval_to_lower(int keyval)

### gdk_keyval_is_upper

    protected static final boolean gdk_keyval_is_upper(int keyval)

### gdk_keyval_is_lower

    protected static final boolean gdk_keyval_is_lower(int keyval)